Index: trunk/DataCheck/Transfer/BackupDatabase.sh
===================================================================
--- trunk/DataCheck/Transfer/BackupDatabase.sh	(revision 18668)
+++ trunk/DataCheck/Transfer/BackupDatabase.sh	(revision 18669)
@@ -50,5 +50,5 @@
    echo "writing create commands for database '"$dbname"' to "$command >> $logfile 2>&1
    # commands to create db
-   if ! mysqldump --host=localhost --database $dbname -u dump --no-data >| $command 2>> $logfile
+   if ! mysqldump --host=localhost --databases $dbname -u dump --no-data >| $command 2>> $logfile
    then
       printprocesslog "ERROR mysqldump failed for database '"$dbname"'"
@@ -60,5 +60,5 @@
    echo "writing database '"$dbname"' to "$sqlfile >> $logfile 2>&1
    # mysqldump of full DB
-   if ! mysqldump --host=localhost --database $dbname -u dump >| $sqlfile 2>> $logfile
+   if ! mysqldump --host=localhost --databases $dbname -u dump >| $sqlfile 2>> $logfile
    then
       printprocesslog "ERROR mysqldump failed for database '"$dbname"'"
